Bug 48162 - systemd: Multiple issues (4.3)
systemd: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-2-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-19 08:45 CET by Quality Assurance
Modified: 2018-11-21 15:21 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2018-11-19 08:45:46 CET
New Debian systemd 232-25+deb9u6A~4.3.2.201811190845 fixes:
This update addresses the following issue:
* Out-of-bounds heap write in systemd-networkd dhcpv6 option handling  (CVE-2018-15688)
Comment 1 Quality Assurance univentionstaff 2018-11-19 09:15:59 CET
--- mirror/ftp/4.3/unmaintained/4.3-2/source/systemd_232-25+deb9u4A~4.3.1.201808081329.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/systemd_232-25+deb9u6A~4.3.2.201811190845.dsc
@@ -1,8 +1,20 @@
-232-25+deb9u4A~4.3.1.201808081329 [Wed, 08 Aug 2018 13:29:29 +0200] Univention builddaemon <buildd@univention.de>:
+232-25+deb9u6A~4.3.2.201811190845 [Mon, 19 Nov 2018 08:45:55 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     01-fix-ftbfs
     10-ignore-ucs-divered
+
+232-25+deb9u6 [Sun, 28 Oct 2018 18:02:10 +0100] Michael Biebl <biebl@debian.org>:
+
+  * dhcp6: Make sure we have enough space for the DHCP6 option header.
+    Fixes out-of-bounds heap write in systemd-networkd dhcpv6 option
+    handling.
+    (CVE-2018-15688, LP: #1795921, Closes: #912008)
+
+232-25+deb9u5 [Sat, 15 Sep 2018 21:40:38 +0200] Michael Biebl <biebl@debian.org>:
+
+  * networkd: Do not fail manager_connect_bus() if dbus is not active yet
+    (Closes: #901834)
 
 232-25+deb9u4 [Wed, 13 Jun 2018 22:20:36 +0200] Michael Biebl <biebl@debian.org>:
 

<http://10.200.17.11/4.3-2/#4450641977534698327>
Comment 2 Philipp Hahn univentionstaff 2018-11-19 11:54:16 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-2] 9fa3e33481 Bug #48162: systemd 232-25+deb9u6A~4.3.2.201811190845
 doc/errata/staging/systemd.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Arvid Requate univentionstaff 2018-11-21 15:21:14 CET
<http://errata.software-univention.de/ucs/4.3/327.html>